Push Validation API
Purpose
This API validates a push request without sending a message. Its request fields are the same as the Create Push API.
Endpoint
POST /v4/push/validate
POST /v4/push/validate
This code block in the floating window
Authentication
See REST API Overview for authentication.
Request example
POST /v4/push/validate HTTP/1.1
Content-Type: application/json
Authorization: Basic <base64(appKey:appSecret)>
POST /v4/push/validate HTTP/1.1
Content-Type: application/json
Authorization: Basic <base64(appKey:appSecret)>
This code block in the floating window
Request body
{
"from": "push",
"to": "all",
"body": {
"platform": "web",
"notification": {
"alert": "Hi,MTPush !",
"web": {
"alert": "web_push",
"title": "web_push",
"url": "http://www.google.com",
"extras": {
"web-key1": "web-value1"
}
}
}
},
"request_id": "12345678",
"custom_args": {
"business": "info"
}
}
{
"from": "push",
"to": "all",
"body": {
"platform": "web",
"notification": {
"alert": "Hi,MTPush !",
"web": {
"alert": "web_push",
"title": "web_push",
"url": "http://www.google.com",
"extras": {
"web-key1": "web-value1"
}
}
}
},
"request_id": "12345678",
"custom_args": {
"business": "info"
}
}
This code block in the floating window
Response example
{
"request_id": "18",
"msg_id": "1828256757"
}
{
"request_id": "18",
"msg_id": "1828256757"
}
This code block in the floating window










